var ColorTable =new Array(
"black",
"red",
"green",
"brown",
"blue",
"magenta",
"cyan",
"gray",
"light gray",
"light red",
"light green",
"yellow",
"lihht blue",
"light magenta",
"light cyan",
"white");

function _Color(val)
{
  return "\x1B\x5B" + val + "m";
}

function Color(fore,back)
{
  return _Color((fore>7?"1;":"") + (30+(fore&7)) + ";" + (40+(back&7)));
}

function ForeColor(fore)
{
  return _Color((fore>7?"1;":"") + (30+(fore&7)));
}

function BackColor(back)
{
  return _Color(40+(back&7));
}

function SearchColor(regexp)
{
  for(var i=0;i<16;i++)
    if(regexp.test(ColorTable[i]))
      return i;
  return null;
}

function MakeColor(color)
{
  if(IsString(color))
  {
    var arr = /(\w+)(\s+(\w+))?([,;](\w+)(\s+(\w+))?)?/.exec(color);
    if(arr!=null)
    {
      var forecolor = "^"+arr[1]+"\\w*";
      var backcolor = null;
      if(arr[3]!="")
        forecolor += " "+arr[3] + "\\w*";
      if(arr[5]!="")
        backcolor  = "^"+arr[5] + "\\w*";
      if(arr[7]!="")
        backcolor += " "+arr[7] + "\\w*";
      if(backcolor!=null)
        jmc.ShowMe(backcolor);
      if((forecolor = SearchColor(new RegExp(forecolor,"gi"))) == null)
        return "";
      if(backcolor!=null)
        backcolor = SearchColor(new RegExp(backcolor));
      if(backcolor!=null)
        return Color(forecolor,backcolor);
      color = forecolor;
    }
  }
  if(IsNumber(color))
    return ForeColor(color);
  return color;
}

var cDEFAULT = _Color(0);
var cBLACK   = ForeColor(0);
var cRED     = ForeColor(1);
var cGREEN   = ForeColor(2);
var cBROWN   = ForeColor(3);
var cBLUE    = ForeColor(4);
var cMAGENTA = ForeColor(5);
var cCYAN    = ForeColor(6);
var cGRAY    = ForeColor(7);
var cLGRAY   = ForeColor(8);
var cLRED    = ForeColor(9);
var cLGREEN  = ForeColor(10);
var cYELLOW  = ForeColor(11);
var cLBLUE   = ForeColor(12);
var cLMAGENTA= ForeColor(13);
var cLCYAN   = ForeColor(14);
var cWHITE   = ForeColor(15);
var bcBLACK  = BackColor(0);
var bcRED    = BackColor(1);
var bcGREEN  = BackColor(2);
var bcBROWN  = BackColor(3);
var bcBLUE   = BackColor(4);
var bcMAGENTA= BackColor(5);
var bcCYAN   = BackColor(6);
var bcGRAY   = BackColor(7);
