function Options(options)
{
  if(IsUndef(options))
    options = "";
  this.options = options;
}

Options.prototype.Set = function (options)
{
  this.options = options;
}

Options.prototype.Enable = function (option)
{
  if(!this.Test(option))
    this.options += option;
}

Options.prototype.Disable = function (option)
{
  if(this.Test(option))
    this.options = this.options.replace(new RegExp(option),"");
}

Options.prototype.Test = function (option)
{
  return new RegExp(option).test(this.options);
}

Options.prototype.toString = function ()
{
  return this.options;
}

