function Stack()
{
  this.sp = -1;
}

Stack.prototype.Push = function(val)
{
  this[++this.sp] = val;
}

Stack.prototype.Top = function()
{
  if(this.sp < 0)
    throw new Error(0,"Stack underflow");
  return this[this.sp];
}

Stack.prototype.Pop = function()
{
  var val = this.Top();
  delete this[this.sp--];
  return val;
}

Stack.prototype.IsEmpty = function()
{
  return this.sp < 0;
}
